summaryrefslogtreecommitdiffstats
path: root/source/l/boost/boost.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/boost/boost.SlackBuild')
-rwxr-xr-xsource/l/boost/boost.SlackBuild7
1 files changed, 5 insertions, 2 deletions
diff --git a/source/l/boost/boost.SlackBuild b/source/l/boost/boost.SlackBuild
index af1870beb..b311eccb6 100755
--- a/source/l/boost/boost.SlackBuild
+++ b/source/l/boost/boost.SlackBuild
@@ -30,7 +30,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=boost
VERSION=${VERSION:-$(echo $PKGNAM_*.tar.?z | rev | cut -f 3- -d . | rev | cut -f 2- -d _)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
PKG_VERSION=$(echo $VERSION | tr _ .) # Leave this alone
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -92,6 +92,9 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
+# Fix missing `boost/serialization/split_member.hpp` include:
+zcat $CWD/boost.f61dd9c5324d8439c52764c7aebaac7d0d4b7128.patch.gz | patch -p2 --verbose || exit 1
+
# First build bjam, the boost build system:
./bootstrap.sh \
--with-toolset=gcc \
@@ -137,7 +140,7 @@ find . \
install || exit 1
# one more run to build libboost_python3..
-sed -e '/using python/ s@;@: /usr/include/python${PYTHON_VERSION/3*/${PYTHON_VERSION}m} ;@' \
+sed -e '/using python/ s@;@: /usr/include/python${PYTHON_VERSION/3*/${PYTHON_VERSION}} ;@' \
-i bootstrap.sh
./bootstrap.sh \